AM263Px MCU+ SDK: MCSPI_ChConfig Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
MCSPI_ChConfig Struct Reference
APIs for SOC Specific Device Drivers » APIs for MCSPI LLD

## Detailed Description

MCSPI configuration parameters for the channel.

MCSPI channel parameters used with the MCSPI_chConfig() call. Default values for these parameters are set using MCSPI_ChConfig_init().

If NULL is passed for the parameters, MCSPI_chConfig() uses default parameters.

See also
  MCSPI_ChConfig_init()

## Data Fields
uint32_t | chNum
uint32_t | frameFormat
uint32_t | bitRate
uint32_t | csPolarity
uint32_t | trMode
uint32_t | inputSelect
uint32_t | dpe0
uint32_t | dpe1
uint32_t | slvCsSelect
uint32_t | startBitEnable
uint32_t | startBitPolarity
uint32_t | turboEnable
uint32_t | csIdleTime
uint32_t | defaultTxData
uint32_t | txFifoTrigLvl
uint32_t | rxFifoTrigLvl

## Field Documentation

## ◆ chNum

uint32_t MCSPI_ChConfig::chNum

Channel number. Refer MCSPI_ChannelId

## ◆ frameFormat

uint32_t MCSPI_ChConfig::frameFormat

MCSPI frame format. Refer MCSPI_FrameFormat

## ◆ bitRate

uint32_t MCSPI_ChConfig::bitRate

MCSPI bit rate in Hz

## ◆ csPolarity

uint32_t MCSPI_ChConfig::csPolarity

Polarity of the chip select signal. Refer MCSPI_CsPolarity

## ◆ trMode

uint32_t MCSPI_ChConfig::trMode

Channel transmit/receive mode. Refer MCSPI_TrMode

## ◆ inputSelect

uint32_t MCSPI_ChConfig::inputSelect

Input Select - D0 or D1. Refer MCSPI_InputSelect

## ◆ dpe0

uint32_t MCSPI_ChConfig::dpe0

Transmission enable/disable for D0. Refer MCSPI_TxEnable

## ◆ dpe1

uint32_t MCSPI_ChConfig::dpe1

Transmission enable/disable for D1. Refer MCSPI_TxEnable

## ◆ slvCsSelect

uint32_t MCSPI_ChConfig::slvCsSelect

MCSPI peripheral select signal detection. Applicable for Channel 0 and in peripheral mode only. Refer MCSPI_SlvCsSelect

## ◆ startBitEnable

uint32_t MCSPI_ChConfig::startBitEnable

Start bit D/CX added before SPI transfer. Polarity is defined by start bit level (below)

## ◆ startBitPolarity

uint32_t MCSPI_ChConfig::startBitPolarity

Start-bit polarity used when startBitEnable is TRUE Refer MCSPI_SbPolarity

## ◆ turboEnable

uint32_t MCSPI_ChConfig::turboEnable

Enable Turbo Mode

## ◆ csIdleTime

uint32_t MCSPI_ChConfig::csIdleTime

Chip select time control. Refer MCSPI_CsIdleTime. This is applicable only in controller mode

## ◆ defaultTxData

uint32_t MCSPI_ChConfig::defaultTxData

Default TX data to use when NULL pointer is provided for TX buffer. The actual data that is transmitted depends on the dataSize field

## ◆ txFifoTrigLvl

uint32_t MCSPI_ChConfig::txFifoTrigLvl

TX FIFO trigger level in bytes

## ◆ rxFifoTrigLvl

uint32_t MCSPI_ChConfig::rxFifoTrigLvl

RX FIFO trigger level in bytes